wrapper {
    gradleVersion = "8.8"
    distributionType = Wrapper.DistributionType.BIN
}

subprojects { prj ->
    apply plugin: "java"

    group = "minecraft"
    version = "1.8.8"

    compileJava {
        sourceCompatibility = targetCompatibility = JavaVersion.VERSION_1_8
        options.encoding = "UTF-8"
    }

    repositories {
        mavenLocal()
        mavenCentral()
        flatDir { dirs rootDir.toPath().resolve("libs").toFile() }
    }
}
